package com.engine.jucailinkq.attendance.component.page.service.impl;

import com.engine.core.impl.Service;
import com.engine.jucailinkq.attendance.component.page.cmd.GetPersonPageServiceCmd;
import com.engine.jucailinkq.attendance.component.page.cmd.GetWorkInfoListCmd;
import com.engine.jucailinkq.attendance.component.page.service.PersonPageService;
import com.google.common.collect.Maps;

import java.util.Map;

public class PersonPageServiceImpl extends Service implements PersonPageService {

    @Override
    public Map<String, Object> getPersonPageService(Map<String, Object> params) {

        return commandExecutor.execute(new GetPersonPageServiceCmd(params,user));
    }

    @Override
    public Map<String, Object> getWorkInfoList(Map<String,Object> params) {
        return commandExecutor.execute(new GetWorkInfoListCmd(params,user));
    }
}
